/**
  ******************************************************************************
  * @file    Key_user.c
  * @author  sinomcu.com-AE
  * @brief   key user
  *  
  *      This file provides functions to KEY user dispose;
  *     
  ******************************************************************************
  * @attention 
  *               DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
  */

#include "user_config.h"
#include "GPIO_CFG.h"
#include "LIN_user.h"
#include "Key_scan.h"
#include "Key_user.h"

extern Key_Config Key_Buf[];
extern LinFrame g_lin_master_frame;

/**
  * @brief  Key user dispose.
  * @param  none,global variable Key_Config Key_Buf[]
  * @retval none
  */
void Key_User_Dispose(void) { 
  uint8_t i=0;
  KEY_STATUS_LIST cur_status,pre_status;

  for(i = 0;i < KEY_NUM;i++) {
    cur_status = Key_Buf[i].Status.KEY_CUR_EVENT;
    pre_status = Key_Buf[i].Status.KEY_PRE_EVENT;
    if(cur_status!=pre_status) {
      Key_Buf[i].Status.KEY_PRE_EVENT =cur_status;
      if(cur_status != KEY_NULL) {
        switch(i) {
          case KEY1:
            if(cur_status ==KEY_DOWN) {
              g_lin_master_frame.buff[LIN_DATA_POS] =LIN_SLAVE1_ID;
              Send_LinFrame(g_lin_master_frame.buff);
              LED_TOGGLE(LED4_Pin);             
            }
            break;
          case KEY2:
            if(cur_status ==KEY_DOWN) {
              g_lin_master_frame.buff[LIN_DATA_POS] =LIN_SLAVE2_ID;
              Send_LinFrame(g_lin_master_frame.buff);
              LED_TOGGLE(LED4_Pin);              
            }
            break;
        }
      }
    }
  }
}

/******************************** END OF FILE *********************************/
